org.apache.datasketches.sampling

## Class SampleSubsetSummary

- java.lang.Object
- - org.apache.datasketches.sampling.SampleSubsetSummary

    public class SampleSubsetSummary
    extends Object

A simple object o capture the results of a subset sum query on a sampling sketch.

Author:
  Jon Malkin

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getEstimate()`
`double` `getLowerBound()`
`double` `getTotalSketchWeight()`
`double` `getUpperBound()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getLowerBound

    public double getLowerBound()

Returns:
  the Lower Bound

#### getTotalSketchWeight

    public double getTotalSketchWeight()

Returns:
  the total sketch weight

#### getUpperBound

    public double getUpperBound()

Returns:
  the Upper Bound

#### getEstimate

    public double getEstimate()

Returns:
  the unique count estimate